<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__csdidac__macros" kind="group">
    <compoundname>group_csdidac_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__csdidac__macros_1ga9375f31416f3ad518a47e53a52a0bd36" kind="define" prot="public" static="no">
        <name>CY_CSDIDAC_MW_VERSION_MAJOR</name>
        <initializer>(2)</initializer>
        <briefdescription>
<para>Middleware major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" bodystart="692" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="692" />
      </memberdef>
      <memberdef id="group__group__csdidac__macros_1ga9e48ea89b7352aeb1d4c9de2af0df9d2" kind="define" prot="public" static="no">
        <name>CY_CSDIDAC_MW_VERSION_MINOR</name>
        <initializer>(10)</initializer>
        <briefdescription>
<para>Middleware minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" bodystart="695" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="695" />
      </memberdef>
      <memberdef id="group__group__csdidac__macros_1gaa13c574206a03b76ceec914dd444307f" kind="define" prot="public" static="no">
        <name>CY_CSDIDAC_MW_VERSION</name>
        <initializer>(210)</initializer>
        <briefdescription>
<para>Middleware version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" bodystart="698" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="698" />
      </memberdef>
      <memberdef id="group__group__csdidac__macros_1ga35cda9dfe000e55322b274fd4de3feaa" kind="define" prot="public" static="no">
        <name>CY_CSDIDAC_ID</name>
        <initializer>(CY_PDL_DRV_ID(0x44u))</initializer>
        <briefdescription>
<para>CSDIDAC ID. </para>        </briefdescription>
        <detaileddescription>
<para>The user can identify the CSDIDAC middleware error codes by this macro. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" bodystart="701" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="701" />
      </memberdef>
      <memberdef id="group__group__csdidac__macros_1ga2d7dda94153fedc16256295b59e962cd" kind="define" prot="public" static="no">
        <name>CY_CSDIDAC_MAX_CODE</name>
        <initializer>(127u)</initializer>
        <briefdescription>
<para>The CSDIDAC max code value. </para>        </briefdescription>
        <detaileddescription>
<para>The user provides the code parameter for the <ref kindref="member" refid="group__group__csdidac__functions_1ga6248d5363e4b81a362b48392acb4a0b8">Cy_CSDIDAC_OutputEnableExt()</ref> function in the range from 0u to CY_CSDIDAC_MAX_CODE. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" bodystart="708" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="708" />
      </memberdef>
      <memberdef id="group__group__csdidac__macros_1ga5975f4c5e4d22e842a4cd00128322e8b" kind="define" prot="public" static="no">
        <name>CY_CSDIDAC_MAX_CURRENT_NA</name>
        <initializer>(609600uL)</initializer>
        <briefdescription>
<para>The CSDIDAC max output current value. </para>        </briefdescription>
        <detaileddescription>
<para>The user provides the value of the current parameter for the <ref kindref="member" refid="group__group__csdidac__functions_1gab98734d77671b95d22aed6976c843afe">Cy_CSDIDAC_OutputEnable()</ref> function in range from 0 to +/-(CY_CSDIDAC_MAX_CURRENT_NA). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" bodystart="715" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="715" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section describes the CSDIDAC macros. </para>    </briefdescription>
    <detaileddescription>
<para>These macros can be used for checking a maximum IDAC code and a maximum IDAC output current. For detailed information about macros, see each macro description. </para>    </detaileddescription>
  </compounddef>
</doxygen>